/**
 * Copyright (c) 2018-present, Umweltbundesamt GmbH
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import React from 'react';
import { IInputProps } from './Input.types';
/**
 * Component for displaying bootstrap
 * form groups with an html input and
 * oForm support
 */
export declare class BaseInput extends React.Component<IInputProps> {
    static displayName: string;
    static defaultProps: {
        type: string;
    };
    render(): JSX.Element;
}
export declare const Input: React.ComponentType<Pick<Pick<IInputProps, "field" | "meta" | "label"> & Partial<Pick<IInputProps, "type">> & Partial<Pick<{
    type: string;
}, never>>, "type"> & import("../withField").IBaseFieldProps & import("../withValidation").IValidatedComponentProps>;
