/**
 * Defines some often used keycodes for
 * event testing
 */
export declare const KEYCODE: {
    BACKSPACE: number;
    TAB: number;
    ENTER: number;
    ESCAPE: number;
    DOWN_ARROW: number;
};
interface IMockEvent {
    preventDefault(): void;
    [key: string]: unknown;
}
/**
 * Generates a mocked event to be used with
 * enzymes simulate in situations where the
 * tested code wants to call preventDefault
 * @param props Additional event props
 */
export declare const mockEvent: (props?: object | undefined) => IMockEvent;
export {};
