/**
 * Copyright (c) 2018-present, Umweltbundesamt GmbH
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
declare type TStringProp = {
    [prop: string]: any;
};
/**
 * Returns the 'deep' value of an object. For example
 * you can provide the string 'foo.bar.baz' to get
 * the value of the third nested object.
 * @param name Name / property path
 * @param object Object
 */
export declare const getDeepValue: <T, U extends TStringProp = TStringProp>(name: string, object?: U | undefined) => T | undefined;
export {};
